const WebpackDevServer = require("webpack-dev-server");
const webpack = require("webpack");

const codeeditorConfig = require("./webpack.dev.js");
const outputframeConfig = require("./webpack.dev.outputframe.js");

const codeeditorCompiler = webpack(codeeditorConfig);
const outputframeCompiler = webpack(outputframeConfig);


const server1 = new WebpackDevServer({
    hot: true,
    historyApiFallback: true
}, codeeditorCompiler);

const server2 = new WebpackDevServer({
    hot: true,
    historyApiFallback: true
}, outputframeCompiler);

server1.listen(8020, "localhost", function() { console.log("server 1 rdy"); })
server2.listen(8021, "localhost", function() { console.log("server 2 rdy"); })